#include <stdio.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <errno.h>
#include <stdlib.h>
#include <unistd.h>

#include "driver/urc.h"

/* ᥤؿ */
int main(int argc, char** argv){
  int fd;
  int vendor, product;

  if((fd = open("/dev/urc0", O_RDWR)) == -1){
    perror("device open error\n");
    exit(1);
  }

  if(ioctl(fd, URC_GET_VENDOR, &vendor) == -1){
    perror("ioctl error\n");
    exit(1);
  }
  printf("Vendor %x\n", vendor);

  if(ioctl(fd, URC_GET_PRODUCT, &product) == -1){
    perror("ioctl error\n");
    exit(1);
  }
  printf("Product %x\n", product);

  close(fd);

  return 0;
}
